/**
 * Returns the local names for an import (i.e. the alias if present, otherwise the original name).
 */
export function getImportedNames(importNameType) {
    switch (importNameType.type) {
        case "namedImport":
            return importNameType.importedNames.map((n) => importNameType.aliases[n] ?? n);
        case "namespaceImport":
            return [importNameType.importedNames];
        case "defaultImport":
            return [importNameType.importedNames];
    }
}
export function getImportedToolNames(node) {
    return node.importedTools.flatMap((n) => n.importedNames.map((name) => n.aliases[name] ?? name));
}
export function getImportedSafeToolNames(node) {
    return node.importedTools.flatMap((n) => n.safeNames);
}
